Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Interface ParserContext

All Known Implementing Classes:
  EModel, AstFunctionDeclaration, DefaultParserContext

public interface ParserContext

Method Summary
`boolean` | `containsConstant(String name)`
`boolean` | `containsVariable(String name)`
`void` | `declareConstant(String name, Object value)` Declares the constant.
`void` | `declareFunction(Function function)` Declares the function.
`void` | `declareVariable(String name, Object value)` Declares the variable.
`Object` | `getConstantValue(String name)` Returns the constant value or null if constant not declared.
`Function` | `getFunction(String name)` Returns function or operator with the specified name or null if function is not declared.
`Object` | `getVariableValue(String name)` Returns value of variable with the specified name or null if variable is not declared.

Method Detail

### containsConstant

    public boolean containsConstant(String name)

### containsVariable

    public boolean containsVariable(String name)

### declareConstant

    public void declareConstant(String name, Object value)

  Declares the constant.

### declareFunction

    public void declareFunction(Function function)

  Declares the function.

### declareVariable

    public void declareVariable(String name, Object value)

  Declares the variable.

### getConstantValue

    public Object getConstantValue(String name)

  Returns the constant value or null if constant not declared.

### getFunction

    public Function getFunction(String name)

  Returns function or operator with the specified name or null if function is not declared.

### getVariableValue

    public Object getVariableValue(String name)

  Returns value of variable with the specified name or null if variable is not declared.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM